package com.usky.dao.impl;

import com.usky.dao.BaseDao;
import org.hibernate.Session;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate5.HibernateTransactionManager;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author laowo
 * @version v1.0
 * @date 2020/11/2 17:04
 * @description TODO
 **/
@Repository
@Transactional
public class BaseDaoImpl implements BaseDao {
    @Autowired
    private HibernateTransactionManager hibernateTransactionManager;

    @Override
    public Session getSession() {
        Session currentSession = hibernateTransactionManager.getSessionFactory().getCurrentSession();
        return currentSession;
    }
}
