package com.usky.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

/**
 * @author laowo
 * @version 1.0.0
 * @ClassName HikConfig.java
 * @Description 海康配置页
 * @createTime 2021/01/08/ 14:59:00
 */
@Configuration
@PropertySource("classpath:hik.properties")
public class HikConfig {
    @Value("${ArtemisConfig.host}")
    String host;
    @Value("${ArtemisConfig.appKey}")
    String appKey;
    @Value("${ArtemisConfig.appSecret}")
    String appSecret;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }
}
