package com.usky.emu;

/**
 * @author laowo
 * @version 1.0.0
 * @ClassName ResponeCodeEnum.java
 * @Description TODO
 * @createTime 2021/01/11/ 13:09:00
 */
public enum ResponeCodeEnum {
    SUCCESS(true, "0000", "操作成功！"),

    FAIL(false, "0001", "操作失败！"),

    ERROR(false, "0002", "系统错误！");
    private Boolean flag; // 标记Code

    private String responseCode;

    private String comment;

    ResponeCodeEnum(Boolean flag, String responseCode, String comment) {
        this.flag = flag;
        this.responseCode = responseCode;
        this.comment = comment;
    }

    public Boolean getFlag() {
        return flag;
    }

    public String getResponseCode() {
        return responseCode;
    }

    public String getComment() {
        return comment;
    }
}
